#include<iostream>
using namespace std;

int main(){
int k,n1,n2;
char c1,c2;
cin>>n1>>c1>>n2>>c2>>k;

if(c1=='A'){
    if(k>=n1){
        cout<<n1;
    }
    else{
        cout<<k;
    }
}
else{
   if(k>=n1){
    cout<<k-n1;
   }
   else{
    cout<<0;
   }
}


 return 0;
}
